Ignore:
Timestamp:
Feb 9, 2013, 6:29:23 AM (7 years ago)
Author:
nicos@…
Message:

kdepimlibs4: suppress build of unused plugins, suppress license conflict with openssl

Location:
trunk/dports/kde/kdepimlibs4
Files:
2 added
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/kde/kdepimlibs4/Portfile

    r101246 r102829  
    77name                kdepimlibs4
    88version             4.9.5
     9revision            1
    910categories          kde kde4
    1011maintainers         sharky nicos
     
    2122                    sha256  f6ea96baf452895699160b24e7bb67f6a263d1d687abf479415c3b71ac488136
    2223
     24#The only binaries linking to openssl (through QtNetwork) are libkimap.dylib
     25#and libmailtransport.dylib, which are purely LPGL, thus not conflicting with
     26#openssl license
     27license_noconflict  openssl
     28
    2329depends_lib-append  port:kdelibs4 \
    2430                    port:akonadi \
     
    2935                    port:gpgme
    3036
     37#Suppress build of unused kioslave
     38patchfiles-append   patch-CMakeLists.diff
     39
     40configure.args-append   -DMAILTRANSPORT_INPROCESS_SMTP=Off
     41
    3142livecheck.url       http://kde.mirrors.hoobly.com/stable/
    3243livecheck.regex     (\\d+(\\.\\d+)+)
Note: See TracChangeset for help on using the changeset viewer.